質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Ruby

    8986questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    8396questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

rake routesでwarningが出る

受付中

回答 0

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 563

JunZenpou

score 14

http://clc.gonna.jp/?p=1306

上記のサイトを参考にして、devise token authを使っているのですが、
rake routesコマンドを実行すると、

$ rake routes
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:9: warning: already initialized constant FileUtils::RUBY
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:9: warning: previous definition of RUBY was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:108: warning: already initialized constant FileUtils::LN_SUPPORTED
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:108: warning: previous definition of LN_SUPPORTED was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils_ext.rb:16: warning: already initialized constant Rake::FileUtilsExt::DEFAULT
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/file_utils_ext.rb:16: warning: previous definition of DEFAULT was here
WARNING: Possible conflict with Rake extension: String#ext already exists
WARNING: Possible conflict with Rake extension: String#pathmap already exists
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:43: warning: already initialized constant Rake::FileList::ARRAY_METHODS
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:43: warning: previous definition of ARRAY_METHODS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:46: warning: already initialized constant Rake::FileList::MUST_DEFINE
.
.
.
.
.
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:7: warning: previous definition of NUMBERS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/linked_list.rb:109: warning: already initialized constant Rake::LinkedList::EMPTY
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/linked_list.rb:109: warning: previous definition of EMPTY was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/scope.rb:40: warning: already initialized constant Rake::Scope::EMPTY
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/scope.rb:40: warning: previous definition of EMPTY was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/promise.rb:11: warning: already initialized constant Rake::Promise::NOT_SET
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/promise.rb:11: warning: previous definition of NOT_SET was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:12: warning: already initialized constant Rake::CommandLineOptionError
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:12: warning: previous definition of CommandLineOptionError was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:40: warning: already initialized constant Rake::Application::DEFAULT_RAKEFILES
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:40: warning: previous definition of DEFAULT_RAKEFILES was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/task_arguments.rb:107: warning: already initialized constant Rake::EMPTY_TASK_ARGS
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/task_arguments.rb:107: warning: previous definition of EMPTY_TASK_ARGS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/invocation_chain.rb:54: warning: already initialized constant Rake::InvocationChain::EMPTY
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/invocation_chain.rb:54: warning: previous definition of EMPTY was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/early_time.rb:20: warning: already initialized constant Rake::EARLY
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/early_time.rb:20: warning: previous definition of EARLY was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/late_time.rb:16: warning: already initialized constant Rake::LATE
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/late_time.rb:16: warning: previous definition of LATE was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:3: warning: already initialized constant Rake::Backtrace::SYS_KEYS
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:3: warning: previous definition of SYS_KEYS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:4: warning: already initialized constant Rake::Backtrace::SYS_PATHS
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:4: warning: previous definition of SYS_PATHS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:7: warning: already initialized constant Rake::Backtrace::SUPPRESSED_PATHS
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:7: warning: previous definition of SUPPRESSED_PATHS was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:11: warning: already initialized constant Rake::Backtrace::SUPPRESSED_PATHS_RE
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:11: warning: previous definition of SUPPRESSED_PATHS_RE was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:15: warning: already initialized constant Rake::Backtrace::SUPPRESS_PATTERN
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:15: warning: previous definition of SUPPRESS_PATTERN was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake.rb:69: warning: already initialized constant FileList
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake.rb:69: warning: previous definition of FileList was here
/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake.rb:70: warning: already initialized constant RakeFileUtils
/usr/local/rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.0.0/lib/rake.rb:70: warning: previous definition of RakeFileUtils was here
                      Prefix Verb     URI Pattern                            Controller#Action
        new_api_user_session GET      /api/auth/sign_in(.:format)            devise_token_auth/sessions#new
            api_user_session POST     /api/auth/sign_in(.:format)            devise_token_auth/sessions#create
    destroy_api_user_session DELETE   /api/auth/sign_out(.:format)           devise_token_auth/sessions#destroy
       new_api_user_password GET      /api/auth/password/new(.:format)       devise_token_auth/passwords#new
      edit_api_user_password GET      /api/auth/password/edit(.:format)      devise_token_auth/passwords#edit
           api_user_password PATCH    /api/auth/password(.:format)           devise_token_auth/passwords#update
                             PUT      /api/auth/password(.:format)           devise_token_auth/passwords#update
                             POST     /api/auth/password(.:format)           devise_token_auth/passwords#create
cancel_api_user_registration GET      /api/auth/cancel(.:format)             api/auth/registrations#cancel
   new_api_user_registration GET      /api/auth/sign_up(.:format)            api/auth/registrations#new
  edit_api_user_registration GET      /api/auth/edit(.:format)               api/auth/registrations#edit
       api_user_registration PATCH    /api/auth(.:format)                    api/auth/registrations#update
                             PUT      /api/auth(.:format)                    api/auth/registrations#update
                             DELETE   /api/auth(.:format)                    api/auth/registrations#destroy
                             POST     /api/auth(.:format)                    api/auth/registrations#create
     api_auth_validate_token GET      /api/auth/validate_token(.:format)     devise_token_auth/token_validations#validate_token
            api_auth_failure GET      /api/auth/failure(.:format)            devise_token_auth/omniauth_callbacks#omniauth_failure
                             GET      /api/auth/:provider/callback(.:format) devise_token_auth/omniauth_callbacks#omniauth_success
                             GET|POST /omniauth/:provider/callback(.:format) devise_token_auth/omniauth_callbacks#redirect_callbacks
            omniauth_failure GET|POST /omniauth/failure(.:format)            devise_token_auth/omniauth_callbacks#omniauth_failure
                             GET      /api/auth/:provider(.:format)          redirect(301)

このように、warningが出ます。

/home/rails/devise_token_auth/vendor/bundle/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb


のrequire "fileutils" を削除してみたりしたのですが、ダメでした。

どうすれば、消えるでしょうか。

よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

同じタグがついた質問を見る

  • Ruby

    8986questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    8396questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。